# bilinfn Class Reference

Class representing function . More...

`#include <libFN.h>`

Inheritance diagram for bilinfn:

[legend]
Collaboration diagram for bilinfn:

[legend]

List of all members.

## Public Member Functions
vec | eval (const vec &x0, const vec &u0)
| Evaluates .
| bilinfn (const RV &rvx0, const RV &rvu0)
| Default constructor.
| bilinfn (const RV &rvx0, const RV &rvu0, const mat &A0, const mat &B0)
| Alternative constructor.
void | dfdx_cond (const vec &x0, const vec &u0, mat &F, bool full)
| Evaluates and writes result into `A` .
void | dfdu_cond (const vec &x0, const vec &u0, mat &F, bool full=true)
| Evaluates and writes result into `A` .
vec | eval (const vec &cond)
| Evaluates (VS: Do we really need common eval? ).
int | _dimx () const
| access function
int | _dimu () const
| access function
virtual void | condition (const vec &val)
| function substitutes given value into an appropriate position
int | _dimy () const
| access function
## Protected Attributes
RV | rvx
| Indentifier of the first rv.
RV | rvu
| Indentifier of the second rv.
int | dimx
| cache for rvx.count()
int | dimu
| cache for rvu.count()
int | dimy
| Length of the output vector.

## Detailed Description

Class representing function .

## Member Function Documentation

void bilinfn::dfdx_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of ,
  | u0 | numeric value of
  | A | a place where the result will be stored.

Reimplemented from diffbifn.

void bilinfn::dfdu_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of ,
  | u0 | numeric value of
  | A | a place where the result will be stored.

Reimplemented from diffbifn.

The documentation for this class was generated from the following files:

- work/git/mixpp/bdm/stat/libFN.h
- work/git/mixpp/bdm/stat/libFN.cpp